
Katello - Bug #4802

Rails boot time is terrible for Katello

03/24/2014 02:50 PM - David Davis

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Tests   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It takes rails at least 30+ seconds to boot up. Running a single test can take 2-3 minutes most of which is due to the rails boot time.

There are a few options to improve this like spring and zeus but they seem to throw errors.

History

#1 - 06/04/2014 01:39 AM - Eric Helms

- Triaged changed from No to Yes

#2 - 12/21/2015 10:47 AM - Eric Helms

- Status changed from New to Resolved

Rails boot time is much much faster after the update to Rails 4, please re-open if you feel this is an issue still

#3 - 07/08/2016 11:10 AM - Eric Helms

- translation missing: en.field_release set to 166
